#include <cstdio>
#include <cstdlib>
#include <iostream>
#include <fstream>
#include <sstream>

int main(int argc, const char* argv[2]) {
   if (argc <= 1) {
      std::cout << "Uso: " << argv[0] << " problema\n";
      return 0;
   }

   for (int i = 1; i <= 5; ++i) {
      char ent[1024], sal[1024], tmp[1024], buffer[1024];
      std::sprintf(ent, "%s_c%d.in",  argv[1], i);
      std::sprintf(sal, "%s_c%d.out", argv[1], i);
      std::sprintf(tmp, "%s_c%d.txt", argv[1], i);
      std::sprintf(buffer, "%s.exe < %s > %s", argv[1], ent, tmp);
      std::system(buffer);

      std::stringstream esperado, obtenido;
      esperado << std::ifstream(sal).rdbuf( );
      obtenido << std::ifstream(tmp).rdbuf( );
      std::cout << "Caso " << i << ": " << (esperado.str( ) == obtenido.str( ) ? "correcto" : "incorrecto") << "\n";
   }
}
